// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16SDI/16SDI_Linux_4.x.x.x_GSC_DN/samples/rxrate/main.h $
// $Rev: 51950 $
// $Date: 2022-10-25 08:35:19 -0500 (Tue, 25 Oct 2022) $

// 16SDI: Sample Application: header file

#ifndef	__MAIN_H__
#define	__MAIN_H__

#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/time.h>

#include "16sdi_main.h"



// macros *********************************************************************

#define	SIZEOF_ARRAY(a)						(sizeof((a)) / sizeof((a)[0]))

// Used for Threshold Level, read buffer size, and read requests.
#define	THRESHOLD					50000



// data types *****************************************************************

typedef struct
{
	// Application Settings
	s32		continuous;
	s32		index;
	s32		minute_limit;
	s32		rx_mb;				// MB to receive
	s32		seconds;
	s32		test_limit;

	int		fd;

	// Device Settings
	s32		io_mode;
} args_t;



// prototypes *****************************************************************

int	perform_tests(const args_t* args);



#endif
