// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16SDI/16SDI_Linux_4.x.x.x_GSC_DN/samples/sw_sync/perform.c $
// $Rev: 51948 $
// $Date: 2022-10-25 08:34:03 -0500 (Tue, 25 Oct 2022) $

// 16SDI: Sample Application: source file

#include "main.h"



/******************************************************************************
*
*	Function:	perform_tests
*
*		Repetatively generate a SW Sync pulse.
*
*	Arguments:
*
*		fd		The handle to the device to access.
*
*	Returned:
*
*		>= 0	The number of errors encounterred.
*
******************************************************************************/

int perform_tests(const args_t* args)
{
	int	errs	= 0;
	int	i;
	int	qty		= 10;

	errs	+= sdi_initialize(args->fd, -1, 1);
	errs	+= sdi_init_mode(args->fd, -1, 1, SDI_INIT_MODE_INITIATOR, NULL);

	for (i = 0; (i < qty) && (errs == 0); i++)
		errs	+= sdi_sw_sync(args->fd, -1, 1);

	errs	+= sdi_initialize(args->fd, -1, 1);
	return(errs);
}


